postgresql-9.5-pgextwlist_1.4-1_amd64.deb


Advertisement

Description

postgresql-9.5-pgextwlist - PostgreSQL Extension Whitelisting

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name postgresql-9.5-pgextwlist
Package version 1.4
Package release 1
Package architecture amd64
Package type deb
Installed size 40 B
Download size 11.47 KB
Official Mirror archive.ubuntu.com
This extension implements extension whitelisting, and will actively prevent
users from installing extensions not in the provided list. Also, this
extension implements a form of sudo facility in that the whitelisted
extensions will get installed as if superuser. Privileges are dropped before
handing the control back to the user.

Alternatives

Package Version Architecture Repository
postgresql-9.5-pgextwlist_1.4-1_i386.deb 1.4 i386 Ubuntu Universe
postgresql-9.5-pgextwlist - - -

Requires

Name Value
libc6 >= 2.14
postgresql-9.5 -

Download

Type URL
Binary Package postgresql-9.5-pgextwlist_1.4-1_amd64.deb
Source Package pgextwlist

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-9.5-pgextwlist deb package:
    # sudo apt-get install postgresql-9.5-pgextwlist

Files

Path
/usr/lib/postgresql/9.5/lib/pgextwlist.so
/usr/lib/postgresql/9.5/lib/plugins/pgextwlist.so
/usr/share/doc/postgresql-9.5-pgextwlist/README.md.gz
/usr/share/doc/postgresql-9.5-pgextwlist/changelog.Debian.gz
/usr/share/doc/postgresql-9.5-pgextwlist/copyright

Changelog

2016-02-02 - Christoph Berg <christoph.berg@credativ.de>
pgextwlist (1.4-1) unstable; urgency=medium
* New upstream version with 9.5 support. (Closes: #811135)
2014-07-27 - Christoph Berg <myon@debian.org>
pgextwlist (1.3-3) unstable; urgency=medium
* Upload to unstable for 9.4.
2014-07-06 - Christoph Berg <myon@debian.org>
pgextwlist (1.3-2) experimental; urgency=medium
* B-D on pg-common 158 to build against 9.3 and 9.4.
2014-06-16 - Christoph Berg <myon@debian.org>
pgextwlist (1.3-1) unstable; urgency=medium
* Set team as Maintainer.
* Use 9.1+ in debian/pgversions.
* Update regression tests.
2014-02-05 - Christoph Berg <christoph.berg@credativ.de>
pgextwlist (1.2-1) unstable; urgency=medium
* Add regression tests and run them using autopkgtest.
* Include the plugins/pgextwlist.so symlink in the package.
* Add watch file.
2013-12-30 - Dimitri Fontaine <dimitri@2ndQuadrant.fr>
pgextwlist (1.1-1) unstable; urgency=low
* Initial release

See Also

Package Description
postgresql-9.5-pgfincore_1.1.2-4_amd64.deb set of PostgreSQL functions to manage blocks in memory
postgresql-9.5-pgmemcache_2.3.0-2_amd64.deb PostgreSQL interface to memcached
postgresql-9.5-pgmp_1.0.2-2_amd64.deb arbitrary precision integers and rationals for PostgreSQL 9.5
postgresql-9.5-pgpool2_3.4.3-1_amd64.deb connection pool server and replication proxy for PostgreSQL - modules
postgresql-9.5-pgq3_3.2.6-4_amd64.deb Skype tools for PostgreSQL replication, londiste and PGQ
postgresql-9.5-pgrouting-doc_2.1.0-1_all.deb basic routing functionality support for PostgreSQL 9.5 (Documentation)
postgresql-9.5-pgrouting_2.1.0-1_amd64.deb basic routing functionality support for PostgreSQL 9.5
postgresql-9.5-pgtap_0.95.0-3_all.deb Unit testing framework extension for PostgreSQL 9.5
postgresql-9.5-pllua_1.0-6_amd64.deb Lua procedural language for PostgreSQL 9.5
postgresql-9.5-plproxy_2.6-2_amd64.deb database partitioning system for PostgreSQL 9.5
postgresql-9.5-plr_8.3.0.16-1_amd64.deb Procedural language interface between PostgreSQL and R
postgresql-9.5-plsh_1.20140221-3_amd64.deb PL/sh procedural language for PostgreSQL 9.5
postgresql-9.5-plv8_1.4.6.ds-1_amd64.deb Procedural language interface between PostgreSQL and JavaScript
postgresql-9.5-postgis-2.2_2.2.1+dfsg-2_amd64.deb Geographic objects support for PostgreSQL 9.5
postgresql-9.5-postgis-scripts_2.2.1+dfsg-2_all.deb Geographic objects support for PostgreSQL 9.5 -- scripts
Advertisement
Advertisement